function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2010 F. Cuvelier
%
  S=struct('name','fc-simesh', 'tag','0.4.1','commit','3d30bdb9989e75e5cd7f02e3a9ec407c2634b9fd','date', '2020-03-07','time','15-54-28','status',0);return; % automatically updated
  rep=fc_simesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-simesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
